Documentation
API v1

Oncall

Page oncall and inspect rotations.

Working with an AI agent?or point it at the Oncall markdown or the full-API markdown.
Page Oncall
POST
/api/v1/oncall/page
Programatically paging on-call can be done with standard REST api calls. This can be especially useful if you have monitors that alert when certain thresholds are met. Here's an example of how you could automatically page on-call, using the JavaScript Fetch API. Access tokens to page oncall must be created in Oncall settings page https://orgorg.com/oncall.
ParameterTypeDescription
message
string
required
Message to send to on-call
Response:
{ status: string; message: string; totalTime: number; }
Get all active Oncalls
GET
/api/v1/oncall/list
Get a list of all active oncall rotations, primary and secondary for each rotation, and a list of active incidents if any exist for each oncall.
Response:
{ id: string; name: string; description: string | null; activeShift?: { startDate?: Date; endDate?: Date; primary: { email: string; displayName: string; phone?: string; }; secondary?: { email: string; displayName: string; phone?: string; }; }; incidents?: { id: number; onPoint: { email: string; displayName: string; phone?: string; }; message: string; status: string; events: { id: number; profile: { email: string; displayName: string; phone?: string; }; type: Clear | Alert | NotifyOnPoint | DuplicateAlert | Acknowledge | Escalate | AutoEscalate | MissingPhone | NoEscalationPossible | NoActiveShift | Note | UpdateOnPoint; channel: Web | Sms | Voice | Slack | IncomingApi | OrgOrg; created: Date; message?: string; props?: NoteEventProps | UpdateOnPointEventProps | Object; }[]; created: Date; slackChannel?: string; slackChannelName?: string; slackMessageId?: string; }[]; created: Date; }